class PriorityAutoincrement < ActiveRecord::Migration[6.0]
  def up
    change_column :pages, :priority, :int, null: false
    execute "CREATE SEQUENCE page_priority_sequence"
    execute "ALTER TABLE pages ALTER priority SET DEFAULT NEXTVAL('page_priority_sequence')"
  end
  def down
    change_column :pages, :priority, :int, null: true
    execute "ALTER TABLE pages ALTER priority SET DEFAULT NULL"
    execute "DROP SEQUENCE page_priority_sequence"
  end
end
